AnsweredAssumed Answered

PI AF Version upgrade to 2.10

Question asked by Santachow on Dec 2, 2019
Latest reply on Dec 2, 2019 by David Hearn

Hello.

 

We recently did a PI AF version upgrade to 2.10 from 2.9 post which a custom application which used AFSDK dll v 2.9 started giving build errors with certain methods.

 

Ex.

 

1. Seems not to find the namespace using OSIsoft.AF.PI; anymore.

2. IEnumerable<PIPoint> points; - doesn't work.

3. PIServers piServers = new PIServers(); - Underline ones doesn't work.

 

 

Any help on what has been changed and how to fix these?

Outcomes